frontend/models/AccountCourse.php
<?php

namespace frontend\models;

use Yii;
//use yii\db\ActiveRecord;
use yii\web\UploadedFile;

/**
 * This is the model class for table "courses".
 *
 * @property int $id
 * @property string $name
 * @property int $id_user
 * @property string $short_desc
 * @property int $active
 * @property string $logo_img
 * @property string $creation_date
 * @property string $timestamp
 */
class AccountCourse extends \backend\models\course\Course
{
    /**
     * @var UploadedFile Image to be uploaded
     */
    public $upload;

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['name'], 'required'],
            [['id_user', 'active'], 'integer'],
            [['short_desc'], 'string'],
            [['active'], 'boolean'],
//            [['creation_date', 'timestamp'], 'safe'],
//            [['name', 'logo_img'], 'string', 'max' => 255],
//            [['logo_img'], 'file', 'extensions' => 'png, jpg, jpeg'],
            [['upload'], 'file', 'extensions' => 'png, jpg, jpeg'],
            [['name'], 'string', 'max' => 255],
            [['name'], 'unique'],
        ];
    }

//    /**
//     * {@inheritdoc}
//     */
//    public function attributeLabels()
//    {
//        return [
//            'id' => 'ID',
//            'name' => 'Name',
//            'id_user' => 'Parent ID',
//            'short_desc' => 'Short Desc',
//            'active' => 'Active',
//            'logo_img' => 'Logo Img',
//            'creation_date' => 'Creation Date',
//            'timestamp' => 'Timestamp',
//        ];
//    }
}

frontend/controllers/AccountCourseController.php
<?php

namespace frontend\controllers;

use backend\models\course\Course;
use common\models\CourseLongDesc;
use frontend\models\AccountUser;
use frontend\models\CourseSearch;
use Yii;
use common\models\User;
use yii\web\NotFoundHttpException;
use yii\filters\AccessControl;
use yii\web\UploadedFile;

/**
 * AccountController implements the CRUD actions for User model.
 */
class AccountCourseController extends \backend\controllers\CourseController
{
    protected $user_id;

    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'rules' => [
                    [
                        'allow' => false,
                        'roles' => ['?'],
                    ],
                    [
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
//            'verbs' => [
//                'class' => VerbFilter::className(),
//                'actions' => [
//                    'update' => ['POST'],
//                ],
//            ],
        ];
    }

    public function beforeAction($action)
    {
        if (!parent::beforeAction($action)) {
            return false;
        }

        $this->user_id = Yii::$app->user->getId();

        return true;
    }

    /**
     * Lists all User models.
     * @return mixed
     */
    public function actionIndex()
    {
        $model = $this->findUser($this->getUserId());

        $searchModel = new CourseSearch();

        // get user own courses
        $dataProvider = $searchModel->searchOwn(Yii::$app->request->queryParams, $this->getUserId());

        return $this->render('index', [
            'model' => $model,
            'courses' => $dataProvider->getModels(),
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Creates a new Course model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @param bool $random
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Course();
        $long_desc_model = new CourseLongDesc();


        if ($this->handlePostSave($model)) {
//            $model = $this->findModel($model->id);
//            if (!$long_desc_model = $model->courseLongDesc) {
//                $long_desc_model = new CourseLongDesc();
//            }
//
//            return $this->render('update', [
//                'model' => $model,
//                'long_desc_model' => $long_desc_model,
//            ]);
            Yii::$app->session->setFlash('success', Yii::t('common/flash', 'Successfully created!'));

            return $this->redirect(['update', 'id' => $model->id]);
        }

        return $this->render('create', [
            'model' => $model,
            'long_desc_model' => $long_desc_model,
        ]);
    }

    public function actionUpdate($id)
    {
        $model = $this->findModel($id);
        if (!$long_desc_model = $model->courseLongDesc) {
            $long_desc_model = new CourseLongDesc();
        }

        if ($this->handlePostSave($model)) {
            Yii::$app->session->setFlash('success', Yii::t('common/flash', 'Successfully updated!'));

            return $this->redirect(['update', 'id' => $model->id]);
        }

        return $this->render('update', [
            'model' => $model,
            'long_desc_model' => $long_desc_model,
        ]);
    }

    protected function getUserId()
    {
        return $this->user_id;
    }

    /**
     * Finds the User model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return User the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findUser($id)
    {
        if (($model = AccountUser::findOne($id)) !== null) {
            return $model;
        } else {
            throw new NotFoundHttpException('The requested page does not exist.');
        }
    }

//    protected function findModel($id)
//    {
//        if (($model = AccountUser::findOne($id)) !== null) {
//            return $model;
//        } else {
//            throw new NotFoundHttpException('The requested page does not exist.');
//        }
//    }
}

frontend/views/account-course/_form.php
<?php

use yii\helpers\Html;
use yii\helpers\Url;
use yii\widgets\ActiveForm;
use yii\widgets\Pjax;
use mihaildev\ckeditor\CKEditor;

/* @var $this yii\web\View */
/* @var $model backend\models\course\Course */
/* @var $long_desc_model common\models\CourseLongDesc */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="course-form box box-warning">
    <?php $form = ActiveForm::begin(); ?>
    <div class="box-body table-responsive">

        <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

        <?= $form->field($model, 'id_user')->hiddenInput(['value'=> Yii::$app->user->id])->label(false) ?>

        <?= $form->field($model, 'short_desc')->textarea(['rows' => 6]) ?>

        <!--  @todo relation data content -->
        <?= $form->field($long_desc_model, 'content')->widget(CKEditor::className(),[
        'editorOptions' => [
                'preset' => 'full', //разработанны стандартные настройки basic, standard, full данную возможность не обязательно использовать
                'inline' => false, //по умолчанию false
            ],
        ]); ?>


        <?= $form->field($model, 'active')->hiddenInput(['value'=> 0])->label(false) ?>

        <?= $form->field($model, 'upload')->fileInput() ?>

    </div>
    <div class="box-footer">
        <?= Html::submitButton(Yii::t('backend/course', 'Save'), ['class' => 'btn btn-success btn-flat']) ?>
    </div>
    <?php ActiveForm::end(); ?>
</div>

frontend/views/account-course/create.php
<?php

use yii\helpers\Html;


/* @var $this yii\web\View */
/* @var $model backend\models\course\Course */
/* @var $long_desc_model common\models\CourseLongDesc */

$this->title = Yii::t('backend/course', 'Create Course');
$this->params['breadcrumbs'][] = ['label' => Yii::t('backend/course', 'Courses'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="course-create">

    <?= $this->render('_form', [
        'model' => $model,
        'long_desc_model' => $long_desc_model,
    ]) ?>

</div>

frontend/views/account-course/index.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\widgets\LinkPager;

/* @var $this yii\web\View */
/* @var $model common\models\User */
/* @var $courses frontend\models\Course */
/* @var $searchModel frontend\models\CourseSearch */

$this->title = Yii::t('frontend/account/course', 'Own courses | {0}', $model->username);
$this->params['breadcrumbs'][] = Yii::t('frontend/account/course', 'Own courses');
?>

<?php if (!empty($courses)): ?>
<div class="header-box pb-3">
    <?= Html::a('<i class="fa fa-plus"></i> ' . Yii::t('frontend/account/course', 'Create new course'), ['account-course/create'], ['class' => 'btn btn-success btn-xs create_button p-3 font-bigger']) ?>
</div>
<? endif; ?>

<div class="row">
    <div class="col-xs-12">

        <?php foreach ($courses as $course): ?>

            <article class="box box-warning">
                <div class="box-body">
                    <div class="row">
                        <div class="col-sm-3">
                            <? //Yii::$app->formatter->asImage('images/courses/logo.png') ?>
                            <?= Html::img('@web/images/courses/' . ($course->logo_img ? 'uploads/' . $course->logo_img : 'nopic.jpg'), ['alt' => 'course logo', 'class' => 'img-thumbnail']); ?> <!-- , 'style' => ['height' => '150px'] -->
                        </div>
                        <div class="col-sm-9">
                            <div class="box-header with-border"><h3 class="box-title"><?= $course->name ?></h3></div>
                            <div class="box-footer">
                                <div class="short-desc">
                                    <?= $course->short_desc ?>
                                </div>
                                <div class="pull-left">
<!--                                    --><?//= Html::a('<i class="fa fa-eye"></i> Overview course', ['course/view', 'id' => $course->id], ['class' => 'btn btn-success btn-xs create_button p-2', 'data-pjax' => 0]) ?>
                                    <?php if ($course->active): ?>
                                        <span class="text-success">
                                            <b><?= Yii::t('frontend/account/course', 'Is active') ?></b>
                                        </span>
                                    <?php else: ?>
                                        <span class="text-danger">
                                            <b><?= Yii::t('frontend/account/course', 'On moderation') ?></b>
                                        </span>
                                    <?endif;?>
                                </div>
                                <div class="tools-block pull-right">
                                    <?= Html::a('<i class="fa fa-eye"></i> ' . Yii::t('frontend/account/course', 'Edit course'), ['account-course/update', 'id' => $course->id], ['class' => 'btn btn-warning btn-xs create_button p-2']) ?>
                                    <?php if ($course->active): ?>
                                        <?= Html::a('<i class="fa fa-eye"></i> ' . Yii::t('frontend/course', 'Overview course'), ['course/view', 'id' => $course->id], ['class' => 'btn btn-success btn-xs create_button p-2']) ?>
                                    <? endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </article>

        <?php endforeach; ?>

        <?= LinkPager::widget(['pagination' => $dataProvider->getPagination()]) ?>

        <?php if (empty($courses)): ?>
            <article class="box box-warning">
                <div class="box-body">
                    <div class="box-footer">
                        <div style="min-height: 650px">
                            <h2><?= Yii::t('frontend/account/course', 'It seems you haven\'t created any courses yet...') ?></h2>
                            <p class="text-center">
                                <?= Html::a('<i class="fa fa-plus"></i> ' . Yii::t('frontend/account/course', 'Create now!'), ['account-course/create'], ['class' => 'btn btn-success btn-xs create_button p-3 font-bigger']) ?>
                            </p>
                        </div>
                    </div>
                </div>
            </article>
        <? endif; ?>
    </div>
</div>

frontend/views/account-course/update.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model backend\models\course\Course */
/* @var $long_desc_model common\models\CourseLongDesc */

$this->title = 'Update Course: ' . $model->name;
$this->title = Yii::t('backend/course', 'Update {modelClass}: ', [
    'modelClass' => $model->name
]);

$this->params['breadcrumbs'][] =  ['label' => Yii::t('frontend/account/course', 'Own courses'), 'url' => ['/account-course']];
$this->params['breadcrumbs'][] = ['label' => $model->name];

?>
<div class="course-update">

    <?= $this->render('_form', [
        'model' => $model,
        'long_desc_model' => $long_desc_model,
    ]) ?>

</div>